<script setup>
// 可以使用的属性：
//   items - 可选内容，格式 [{name: name1, value: value1}}, {name: name2, value: value2} ...]
//
// 使用时一定要实现 @complete 事件

import AutoComplete from "primevue/autocomplete";
import T from "./T.js"

const props = defineProps({
	items: null,
	optionLabel: ""
})

let optionLabel = props.optionLabel
if (T.isNull(optionLabel)) {
	optionLabel = "name"
}

</script>

<template>
	<AutoComplete :suggestions="items" :optionLabel="optionLabel"></AutoComplete>
</template>

<style scoped>

</style>